Bug 166783 - Review Request: maxima: Computer Algebra System
Review Request: maxima: Computer Algebra System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
David Lawrence
http://maxima.sourceforge.net/
:
Depends On: 166796
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-25 13:57 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 08:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-08-25 13:57:35 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/maxima-5.9.1-1.src.rpm
SRPM Name or Url: http://apt.kde-redhat.org/apt/fedora/SPECS/maxima-5.9.1-1.spec
Description: 
Maxima is a full symbolic computation program.  It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats.  It has a
symbolic debugger source level debugger for maxima code.  Maxima is
based on the original Macsyma developed at MIT in the 1970's.  It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests.
Comment 1 Rex Dieter 2005-08-25 16:13:42 EDT
Added (theoretical) dependancies on cmucl, sbcl also submitted for Review.  Will
have to wait for maxima-5.9.2 before trying them.
Comment 2 Gérard Milmeister 2005-08-25 16:32:08 EDT
I maintain clisp which is now in Extras.
Maxima builds fine with clisp so I would suggest to make a maxima package with
clisp only (for now at least).
Comment 3 Rex Dieter 2005-08-25 16:38:02 EDT
maxima-5.9.1-1.spec is configured for clisp only atm (specfile snippet):

## Which runtimes to build/enable?
%define _with_clisp 1
%define _without_cmucl 1
# gcl busted on Fedora Core (3/4)
%define _without_gcl 1
%define _without_sbcl 1

Comment 4 Gérard Milmeister 2005-08-25 16:39:17 EDT
Some time ago I made a simplified version of your .spec file:
http://math.ifi.unizh.ch/fedora/spec/maxima.spec
It may be useful to you.
Comment 5 Orion Poplawski 2005-08-25 16:41:09 EDT
Cool - been meaning to check this out!  gemi - do you want to be reviewer?

Issues:

- Rename maxima-5.9.1-1.spec to maxima.spec
- Why are you disabling the debug package?
- make check should be in %check section
- are you sure you need:

%define clisp_ver %{expand:%%(rpm -q --qf '%%{VERSION}' clisp )}
Requires: clisp >= %{clisp_ver}

- rpmlint:
W: maxima infopage-not-gzipped /usr/share/info/maxima.info
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-1
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-10
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-11
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-12
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-13
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-14
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-15
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-16
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-2
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-3
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-4
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-5
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-6
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-7
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-8
W: maxima infopage-not-gzipped /usr/share/info/maxima.info-9
W: maxima manpage-not-gzipped /usr/share/man/man1/maxima.1

Thought this happens automatically.

W: maxima incoherent-version-in-changelog 5.9.1.1cvs20050825 5.9.1-1.fc4

Might want to pull this.

E: maxima no-binary

Should be noarch then.

W: maxima non-standard-dir-in-usr libexec

Can it be changed?  Not a showstopper...

W: maxima-gui no-documentation

No big deal.

E: maxima-runtime-clisp binary-or-shlib-defines-rpath
/usr/lib64/maxima/5.9.1/binary-clisp/lisp.run ['/usr/lib64']

Probably need a --disable-rpath to configure.

W: maxima-runtime-clisp no-documentation

No big deal


Comment 6 Rex Dieter 2005-08-25 16:48:40 EDT
> Why are you disabling the debug package?

Not sure anymore... I *think* maxima had trouble with one of the -runtimes if
debuginfo was enabled.  I suppose we can turn it back on and find out if it's
still needed.

> - are you sure you need:
> %define clisp_ver %{expand:%%(rpm -q --qf '%%{VERSION}' clisp )}
> Requires: clisp >= %{clisp_ver}

Yep.  Pretty sure, but I'll go back and verify.  If it is, it probably should be
changed to
Requires: clisp = %{clisp_ver}
to be on the safe side.

> - rpmlint:
> W: maxima infopage-not-gzipped /usr/share/info/maxima.info

Purposely disabled compressed info files for maxima's built-in help function to
work properly.

> W: maxima incoherent-version-in-changelog 5.9.1.1cvs20050825 5.9.1-1.fc4
> Might want to pull this.

Probably, though I'm anxiously awaiting 5.9.2 to be released (soon hopefully).

> E: maxima no-binary
> Should be noarch then.

I'd love to, but parent and all child packages need to be the same arch, so I
don't think it'll work.
Comment 7 Gérard Milmeister 2005-08-29 09:59:32 EDT
"It is quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests."

I would leave this out of the description. Garbage collection and memory leaks
is anyways mostly a feature of the underlying lisp implementation.

Do you think it is important to make a main package and subpackage for the lisp.
binary? I would rather have a package maxima that is build with clisp. If anyone
wants to use e.g. sbcl, he can build it himself.

If you use a cvs snapshot, the date should be reflected in the release tag.

texi2dvi is missing in tetex3, but texi2dvi -p does the same thing.

IMHO the spec file is little complicated. Is really necessary to have all
the optional stuff? Why not build for clisp only, bundle the prebuilt doc,
and clean up the spec (at least for now).
Comment 8 Rex Dieter 2005-08-29 10:03:41 EDT
>IMHO the spec file is little complicated. Is really necessary to have all
>the optional stuff? Why not build for clisp only

Agreed, especially since clisp is the only lisp that (realiably) works on Fedora
Core at the moment (and is already in Extras).
Comment 9 Rex Dieter 2005-08-29 10:45:17 EDT
Simplify.

Spec Name or Url:
http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/maxima-5.9.1-3.src.rpm
SRPM Name or Url: http://apt.kde-redhat.org/apt/fedora/SPECS/maxima-5.9.1-3.spec

* Mon Aug 29 2005 Rex Dieter <rexdieter[AT]users.sf.net> 5.9.1-3
- trim %%description
- drop maxima book generation (use pregenerated copy)
- drop emaxima subpkg bits
- -src: lisp source subpkg

* Fri Aug 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 5.9.1-2
- re-instate %%debuginfo
- put 'make check' in %%check section


Comment 10 Gérard Milmeister 2005-09-04 19:12:41 EDT
Error when building with mock:
Processing files: maxima-debuginfo-5.9.1-3.fc4
error: Could not open %files file
/builddir/build/BUILD/maxima-5.9.1/debugfiles.list: No such file or directory


RPM build errors:
    Could not open %files file
/builddir/build/BUILD/maxima-5.9.1/debugfiles.list: No such file or directory

This was probably the reason for %define debug_package %{nil}
Comment 11 Rex Dieter 2005-09-06 08:11:28 EDT
I saw that too, but only when building against gcl.   (?)
Comment 12 Rex Dieter 2005-09-06 08:14:32 EDT
Spec Name or Url:
http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/maxima-5.9.1-4.src.rpm
SRPM Name or Url: http://apt.kde-redhat.org/apt/fedora/SPECS/maxima-5.9.1-4.spec

%changelog
* Tue Sep 06 2005 Rex Dieter <rexdieter[AT]users.sf.net> 5.9.1-4
- workaround lack of debuginfo.list when building --with gcl
Comment 13 Gérard Milmeister 2005-09-06 13:25:03 EDT
Builds fine in mock.
Go ahead and import.
Comment 14 Gérard Milmeister 2005-09-06 13:46:43 EDT
Please note, that clisp fails on the ppc build-server, so you have
to "ExcludeArch: ppc ppc64" for now.
Comment 15 Rex Dieter 2005-09-06 13:50:28 EDT
Gerard, could you open a bugzilla entry for the "clisp fails on ppc" issue, so I
watch it as a blocker for re-enabling ppc support?
Comment 16 Gérard Milmeister 2005-09-06 13:59:44 EDT
There is already a bug 166347.
Comment 17 Gérard Milmeister 2005-09-06 14:05:12 EDT
BTW, clisp is available on FC-3 and FC-4, so you request builds for
these platforms too.
Comment 18 Alex Lancaster 2005-09-07 04:26:25 EDT
Yes, please!  Would love to see this replace my hand-rolled maxima RPMs on
FC-4...  Should I open a separate Bugzilla request for that?  I assume that
there is a Bugzilla component for it now.
Comment 19 Rex Dieter 2005-09-07 08:12:43 EDT
Alex, no need, I was just waiting for the FC-3/4 branches to be made in cvs
before requesting their builds.  (done just now).
Comment 20 Alex Lancaster 2005-09-07 08:30:10 EDT
Thanks, Rex!  Look forwarding to seeing them in the repository.  Although, it
seems that a Bugzilla component still needs to be created for maxima.  Can't see
it yet in:

https://bugzilla.redhat.com/bugzilla/describecomponents.cgi?product=Fedora%20Extras
Comment 21 Rex Dieter 2005-09-07 08:43:39 EDT
Dunno about bugzilla (??).  Per
http://fedoraproject.org/wiki/Extras/NewPackageProcess, it says that the
bugzilla component would get created when I did "Step 9: Add an entry to the
owners.list".  Maybe we just need to give it more time.
Comment 22 Alex Lancaster 2005-09-07 23:56:24 EDT
I opened up a new bugzilla entry on the missing component: bug #167786.
Comment 23 Alex Lancaster 2005-09-09 09:47:08 EDT
Since the "maxima" Bugzilla component hasn't yet been added, I'll also report a
packaging-related issue here.  It would be useful if the subpackage
"maxima-runtime-clisp" could "Obsolete: maxima-exec-clisp", which is the name of
the package that the upstream SRPM at:

http://maxima.sourceforge.net/download.shtml

uses for that package.  Otherwise it keeps the old maxima-exec-clisp package
around even though it replaces the files.  I imagine that there will be several
people upgrading from those older packages.
Comment 24 Rex Dieter 2005-09-09 09:50:47 EDT
We included only
Obsoletes: maxima-exec-clisp
as that was the only exec/runtime provided upstream.
Comment 25 Rex Dieter 2005-09-09 09:51:04 EDT
We included only
Obsoletes: maxima-exec-cmucl
as that was the only exec/runtime provided upstream.
Comment 26 Rex Dieter 2005-09-09 09:51:46 EDT
(Ignore comment #24... (-:)
Comment 27 Alex Lancaster 2005-09-09 09:58:13 EDT
Ah, but I rebuilt the SRPM and enabled the clisp bindings.  I know that in doing
that I then am taking responsibility if it doesn't work, but I'm sure I'm not
the only one who has done that.   It would certainly be nice if it "just worked"
for all possible backends, and it would have a certain symmetry to it if all
maxima-runtime-* subpackages Obsoleted their maxima-exec-* subpackages.
Comment 28 Alex Lancaster 2005-09-24 06:13:43 EDT
"maxima" component has been created, so removing blocking bug, but new
components still aren't being created reliably.

Note You need to log in before you can comment on or make changes to this bug.